commit:     9db6729aa2bede4068553436de0fbc92aba595dc
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 17 10:47:09 2019 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Tue Sep 17 10:47:09 2019 +0000
URL:        https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=9db6729a

dev-libs/openssl: fix linking of 1.1.1d on Solaris 10

Package-Manager: Portage-2.3.68-prefix, Repoman-2.3.17
Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>

 dev-libs/openssl/openssl-1.1.1d.ebuild | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/dev-libs/openssl/openssl-1.1.1d.ebuild 
b/dev-libs/openssl/openssl-1.1.1d.ebuild
index b79d7747ba..d018ce3d80 100644
--- a/dev-libs/openssl/openssl-1.1.1d.ebuild
+++ b/dev-libs/openssl/openssl-1.1.1d.ebuild
@@ -137,6 +137,11 @@ src_prepare() {
                -e 's/-Wl,-M,/-Wl,--version-script=/' \
                -e 's/-Wl,-h,/-Wl,--soname=/' \
                Configurations/10-main.conf || die
+       # fix building on Solaris 10
+       # https://github.com/openssl/openssl/issues/6333
+       sed -i \
+               -e 's/-lsocket -lnsl -ldl/-lsocket -lnsl -ldl -lrt/' \
+               Configurations/10-main.conf || die
        # The config script does stupid stuff to prompt the user.  Kill it.
        sed -i '/stty -icanon min 0 time 50; read waste/d' config || die
        # The MS Azure build agent does set SYSTEM=build. Ignore such vars.

Reply via email to